%Source condtions -------------

%Thickness variation
dh=h*0;
dh = hsource/sum(sum(hsource.*S))*Q/(3600*24)*dt;
dh(dh<0)=0;
h(ind_dome) = h(ind_dome) + dh(ind_dome);
dhmx = (dh(:, 2:ncol) + dh(:,1:ncol-1)) / 2;
dhmy = (dh(2:nrow, :) + dh(1:nrow-1,:)) / 2;

%Momentum conservation
inds_x = find(dhmx>0);
inds_y = find(dhmy>0);
u3_xx(inds_x) = u3_xx(inds_x).*hmx(inds_x)./(dhmx(inds_x) + hmx(inds_x));
u3_xy(inds_x) = u3_xy(inds_x).*hmx(inds_x)./(dhmx(inds_x) + hmx(inds_x));
u3_yy(inds_y) = u3_yy(inds_y).*hmy(inds_y)./(dhmy(inds_y) + hmy(inds_y));
u3_yx(inds_y) = u3_yx(inds_y).*hmy(inds_y)./(dhmy(inds_y) + hmy(inds_y));


